<?php

function ToDo()
{
	global $context, $txt, $scripturl;
	loadTemplate('ToDo');
	$context['page_title'] = $txt['to_do'];

	$subActions = array(
		'ToDo' => 'ToDoMain',
		'add' => 'add',
		'add2' => 'add2',
		'delete' => 'delete',
		'mark' => 'mark',
		'unmark' => 'unmark',
	);

	$_REQUEST['sa'] = isset($_REQUEST['sa']) && isset($subActions[$_REQUEST['sa']]) ? $_REQUEST['sa'] : 'ToDo';
	$subActions[$_REQUEST['sa']]();
	
	$context['linktree'][1] = array(
		'url' => $scripturl . '?action=todo',
		'name' => $txt['to_do'],
	);
}

function ToDoMain()
{
	global $context, $scripturl, $smcFunc, $txt;
	loadTemplate('ToDo');

	$id_member = $context['user']['id'];

	$request = $smcFunc['db_query']('', '
	SELECT *
	FROM {db_prefix}to_do
	WHERE id_member = {int:member}
	ORDER BY subject ASC',
		array(
			'member' => $id_member,
		)
	);
	
	$context['todo'] = array();
	while ($row = $smcFunc['db_fetch_assoc']($request))
	{
		$context['todo'][] = array(
			'id' => $row['id_todo'],
			'id_member' => $row['id_member'],
			'subject' => $row['subject'],
			'time' => $row['time'],
			'priority' => $row['priority'],
			'is_do' => $row['is_do'],
		);
	}
	$smcFunc['db_free_result']($request);
}

function add()
{
	global $smcFunc, $context;
	$context['sub_template'] = 'add';
}

function add2()
{
	global $smcFunc, $context;

	checkSession();

	$id_member = $context['user']['id'];

	$_POST['subject'] = strtr($smcFunc['htmlspecialchars']($_POST['subject']), array("\r" => '', "\n" => '', "\t" => ''));
	$_POST['time'] = $smcFunc['htmlspecialchars']($_POST['time']);

	$smcFunc['db_insert']('', '{db_prefix}to_do',
		array(
			'id_member' => 'int', 'subject' => 'string', 'time' => 'string', 'priority' => 'int', 'is_do' => 'int',
		),
		array(
			$id_member, $_POST['subject'], $_POST['time'], $_POST['priority'], 0,
		),
			array('id_todo')
		);
	$id = $smcFunc['db_insert_id']('{db_prefix}to_do', 'id_todo');

	redirectexit('action=todo');
}

function mark()
{
	global $smcFunc, $context;

	$todo_id = (int) $_GET['id'];
	$id_member = $context['user']['id'];

	$smcFunc['db_query']('', '
		UPDATE {db_prefix}to_do
		SET is_do = 1
		WHERE id_todo = {int:note}
			AND id_member = {int:member}',
		array(
			'note' => $todo_id,
			'member' => $id_member,
		)
	);
	
	redirectexit('action=todo');
}

function unmark()
{
	global $smcFunc, $context;

	$todo_id = (int) $_GET['id'];
	$id_member = $context['user']['id'];

	$smcFunc['db_query']('', '
		UPDATE {db_prefix}to_do
		SET is_do = 0
		WHERE id_todo = {int:note}
			AND id_member = {int:member}',
		array(
			'note' => $todo_id,
			'member' => $id_member,
		)
	);
	
	redirectexit('action=todo');
}

function delete()
{
	global $smcFunc, $context;

	$todo_id = (int) $_GET['id'];
	$id_member = $context['user']['id'];

	$smcFunc['db_query']('', '
		DELETE FROM {db_prefix}to_do
		WHERE id_todo = {int:note}
			AND id_member = {int:member}',
		array(
			'note' => $todo_id,
			'member' => $id_member,
		)
	);
	
	redirectexit('action=todo');
}

is_not_guest();

?>